coupang
GET/v2/providers/seller_api/apis/api/v1/marketplace/vendors/{vendorId}/check-auto-category-agreed2609170000

Confirmation of category auto matching service agreement

# 01

Summary

Confirmation of category auto matching service agreement

# 02

Details

Available buyer market: Korean

The following shows check if the vendorID has agreed to the category auto matching service.

For more information on the category auto matching service, please click here.

Path

GET/v2/providers/seller_api/apis/api/v1/marketplace/vendors/{vendorId}/check-auto-category-agreed

Example endpoint

https://api-gateway.coupang.com/v2/providers/seller_api/apis/api/v1/marketplace/vendors/A00123456/check-auto-category-agreed
# 03

Path parameters

NameTypeDescription
vendorId*string
VendorID
# 04

Response body

Response message

NameTypeDescription
codestring
SUCCESS/ERROR
messagestring
message
databoolean
Whether vendorId have agreed to the service or not
true or false

Response Example

{
  "code": "SUCCESS",
  "message": "",
  "data": true
}
# 05

Error codes

HTTPCodeMessage
400HTTP_400Bad Request

Error specification

HTTPTypeError messageSolution
400400 (check parameter requested)

The vendorId[A00123456] cannot retrieve the information of another vendorId[A0012***].

See if you have entered a valid vendorId.